TradeState (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.zerogc.api

## Class TradeState

- java.lang.Object
- - com.marketfactory.zerogc.api.TradeState

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<TradeState>

      public final class TradeState
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<TradeState>, java.io.Serializable

  Group name, current bought/sold amounts, and feedID/marketID/settlTime (-1 represents 'all').
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFString` | `boughtBase`
    `MFString` | `boughtCounter`
    `CcyType` | `ccyType`
    `int` | `feedID` A unique identifier for the feed.
    `MFString` | `groupName`
    `int` | `marketID` A market ID, which identifies a unique financial instrument.
    `MFString` | `pendingBoughtBase`
    `MFString` | `pendingSoldBase`
    `long` | `settlTime`
    `MFString` | `soldBase`
    `MFString` | `soldCounter`
    `long` | `syncTime`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `TradeState()`
    `` | `TradeState(MFString groupName, MFString boughtBase, MFString soldBase, MFString boughtCounter, MFString soldCounter, MFString pendingBoughtBase, MFString pendingSoldBase, int feedID, int marketID, CcyType ccyType, long settlTime, long syncTime)`
    `protected` | `TradeState(ZeroGCProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(TradeState rhs)`
    `void` | `deepCopy(TradeState src)`
    `void` | `deserializeZeroGC(ZeroGCProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ZeroGCProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### groupName

          public MFString groupName

    - #### boughtBase

          public MFString boughtBase

    - #### soldBase

          public MFString soldBase

    - #### boughtCounter

          public MFString boughtCounter

    - #### soldCounter

          public MFString soldCounter

    - #### pendingBoughtBase

          public MFString pendingBoughtBase

    - #### pendingSoldBase

          public MFString pendingSoldBase

    - #### feedID

          public int feedID

      A unique identifier for the feed.

    - #### marketID

          public int marketID

      A market ID, which identifies a unique financial instrument.

    - #### ccyType

          public CcyType ccyType

    - #### settlTime

          public long settlTime

    - #### syncTime

          public long syncTime

  - ### Constructor Detail

    - #### TradeState

          public TradeState()

    - #### TradeState

          protected TradeState(ZeroGCProtoByteBuffer buffer)

    - #### TradeState

          public TradeState(MFString groupName,
                            MFString boughtBase,
                            MFString soldBase,
                            MFString boughtCounter,
                            MFString soldCounter,
                            MFString pendingBoughtBase,
                            MFString pendingSoldBase,
                            int feedID,
                            int marketID,
                            CcyType ccyType,
                            long settlTime,
                            long syncTime)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### deepCopy

          public void deepCopy(TradeState src)

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TradeState rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TradeState>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserializeZeroGC

          public void deserializeZeroGC(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `deserializeZeroGC` in interface `IMessage`

    - #### serialize

          public void serialize(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)